Package org.eclipse.emf.cdo.transaction

## Enum CDOTransactionFinishedEvent.Type

- java.lang.Object
- - java.lang.Enum<CDOTransactionFinishedEvent.Type>
  - - org.eclipse.emf.cdo.transaction.CDOTransactionFinishedEvent.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDOTransactionFinishedEvent.Type>`
  Enclosing interface:
    CDOTransactionFinishedEvent

      @Deprecated
      public static enum CDOTransactionFinishedEvent.Type
      extends java.lang.Enum<CDOTransactionFinishedEvent.Type>

  Deprecated.
  As of 4.3 use `CDOTransactionFinishedEvent.Cause`.
  Enumerates the possible `causes` for a `transaction` to become finished.
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMMITTED` | Deprecated.
    `ROLLED_BACK` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOTransactionFinishedEvent.Type` | `valueOf​(java.lang.String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static CDOTransactionFinishedEvent.Type[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMITTED

          public static final CDOTransactionFinishedEvent.Type COMMITTED

      Deprecated.

    - #### ROLLED_BACK

          public static final CDOTransactionFinishedEvent.Type ROLLED_BACK

      Deprecated.

  - ### Method Detail

    - #### values

          public static CDOTransactionFinishedEvent.Type[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOTransactionFinishedEvent.Type c : CDOTransactionFinishedEvent.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOTransactionFinishedEvent.Type valueOf​(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null